Subject: RE: [mobile-ip] some issues with IPv6 mobility draft (sharif)

From: "Shahrier, Sharif M." <[email-masked]>
Date: Wed, 11 Apr 2001 09:24:05 -0400

"Shahrier, Sharif M." wrote:

> * Suppose that node A is moving "rapidly". Node B is also moving.
> B sends a datagram to A; A is not there; ICMP host unreachable --> B. B
> deletes entry from its binding cache; sends Binding Request to A's HA;HA
> sends A's COA to B. Supposes this last step is long because of congestion.

Wrong again!! the A's Home agent does not respond to the
binding request. the binding request is tunneled to A
and A responds with a BU.

	I think there is a mis-understanding here. You are correct in
stating that the Binding Request is sent to MN A, and it 
	Replies with a Binding Update. These messages are generally
exchanged when B's Binding Cache entry is close to 
	Expiration of its lifetime, and the messages are "piggybacked".

	Thus, I can see that you are familiar with section 8.6 of the draft.

However, the draft does not deal with the problem I had pointed out. I was
merely pointing out a possible "extension" to the draft to deal with the
problem; by sending Binding Request to the HA after it receives the
ICMP<host unreachable> message.  This is not currently in the draft.

Of course, B cannot send a Binding Request to A, which is what you are
saying, because it doesn't know the location of A !! That is the root of the
problem !!

> 
> During the step above, A sends a Binding Update to its home agent,
receives
> Acknowledgement, A moves to its new COA. B sends datagram to A's previous
> COA; A is not there; B is sent ICMP; Process continues forever.....
> 
> A possible solution to prevent this "looping" effect is to keep caching
A's
> new binding at its previous COA. The previous COA can use the binding to
> forward packets to A.
> 

This is already there in the base mobile ipv6. the previous
access router to which the A was connected to forwards
packets to A's new location. this is set up by A sending a 
BU to its previous access router binding its new CoA and 
old CoA.

Yes, but please read my next paragraph. This method is not robust, and will
not work if the previous access router fails or is reconfigured.
	I am not aware of any existing solutions that was handle this
scanario. Do you?

> But this method will also fail if one of the "previous" agents caching the
> COA's fails or is reconfigured ........
> 
> Thus, I prefer my previously posted "solution", in just using the HA
> approach because:
> 

whatever you have described till now is based on lot of things
failing. you also assume that the MN is handing off faster than
the round trip time to the CN.

	No, there are a number of possibilities. One of them is that the
communication between HA and CN is slower than
	HA and MN, because of congestion. There are many other cases.

and your solution of the home agent maintaining the binding update
list is not worthy of any consideration. stop this thread on the
mailing list. lets go offline. i can explain things in more detail
there...

	You are welcome in your comments. However:

* You have not provided an alternative, strong, robust solution to the
problem I indicated.
* You have not given a good reason why using just "HA signaling" is a bad
idea.
* You have not given a good reason as to why we should "ignore" the problem
completely.

Until, that happens, I don't see any reason not to persist with this. In any
case, the issue of multicasting makes the problem even worse, and I would
welcome and comments or solutions in that respect.

Thanks.

Sharif.

vijay 

> o It eliminates extra level of signaling between mobile-to-mobile.
Signaling
> is only between mobile and HA.
> o It simplifies the binding caches at each MN and CN, reduces overhead of
> protocol operation.
> 
> * Secondly, how does the ICMP<host unreachable> solve the problem with
> multicast groups? A multicast group is assigned a particular multicast
> address for communication. Thus, if one member of the group is
unreachable,
> it doesn't seem that the ICMP solution will solve the problem here.
> 
> Comments please .......
> 
> Sharif.

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 11 Apr 2001 10:21:07 -0700

hi,

comments below

> saying, because it doesn't know the location of A !! That is the root of the

No. B's sends a binding request the home address of A, which gets 
tunneled to A by A's Home Agent. A responds with a new binding 
update. there is no need for the Home Agent to respond to the 
binding request. Please understand this - you use a MN's home address
when you dont have a binding cache entry for the MN.

and Binding request - Binding Update exchange can be done any
time. not just when the binding cache entry is about to expire.
and when you delete a binding cache entry due to ICMP unreachable
messages, you would send a binding request to the MN's home address.
or you should just use triangle routing by sending all packets
to MN's home address.

> * You have not provided an alternative, strong, robust solution to the

i dont see a problem.

> * You have not given a good reason why using just "HA signaling" is a bad

well one easy answer is that the Home agent does not have a 
security association with the CN. so it cannot do your "HA signaling"

vijay